Subject: Re: [PATCH] powerpc: allow cross-compilation of ppc64 kernel

From: Segher Boessenkool <[email-masked]>
Date: Fri, 6 Nov 2015 16:55:49 -0600

On Fri, Nov 06, 2015 at 03:09:40PM -0600, Scott Wood wrote:
> Why is GCC building ppc64 object files but telling the linker --oformat elf32-
> powerpcle?  Are different options somehow being passed to GCC in one case 
> versus the other?

This was changed for GCC 6 in <http://gcc.gnu.org/r227397>, could one of
you check if that fixes this problem?  If so we'll need to backport it.

Segher